Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -9204,7 +14600,7 @@
                 trap in the system."
             ::= { snmpV3Trap 2 }
 
-        snmpV3TrapFiberLinkUpDown  OBJECT-TYPE
+        snmpV3TrapWarmStart  OBJECT-TYPE
             SYNTAX INTEGER  {
         		 enabled(1),
         		 disabled(2)
@@ -9212,11 +14608,11 @@
             MAX-ACCESS read-write
             STATUS current
             DESCRIPTION
-                "This object is for enabling or disabling Fiber link up / link down
-                event trap in the system."
+                "This object is for enabling or disabling devie Bootup event
+                trap in the system."
             ::= { snmpV3Trap 3 }
 
-        snmpV3TrapCopperLinkUpDown  OBJECT-TYPE
+        snmpV3TrapLinkUpDown  OBJECT-TYPE
             SYNTAX INTEGER  {
         		 enabled(1),
         		 disabled(2)
@@ -9252,7 +14648,6 @@
                 suess or fail event trap in the system."
             ::= { snmpV3Trap 6 }
 
--- start CAMEO_METRO_LIKE_BPDU_ATTACK_PROTECT
     snmpV3TrapBPDUAttack    OBJECT-TYPE
            SYNTAX      INTEGER {
                           none(1),
@@ -9267,7 +14662,6 @@
 
            DEFVAL  { none }
         ::= { snmpV3Trap 11 }
--- end CAMEO_METRO_LIKE_BPDU_ATTACK_PROTECT
 
 -- start CAMEO_PORT_SECURITY
     snmpV3TrapPortSecurity    OBJECT-TYPE
@@ -9329,7 +14723,223 @@
              trap when IP address conflicted in the network."
         ::= { snmpV3Trap 16 }
 
+-- start CAMEO_DHCPv6_SCREEN
+    snmpV3TrapDHCPv6ServerScreening    OBJECT-TYPE
+        SYNTAX INTEGER {
+            enabled(1),
+            disabled(2)
+        }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            ""
+        ::= { snmpV3Trap 17 }
+-- end CAMEO_DHCPv6_SCREEN
 
+-- start CAMEO_ICMPv6_RA_FILTER
+    snmpV3TrapICMPv6RaAllNodeFilter    OBJECT-TYPE
+        SYNTAX INTEGER {
+            enabled(1),
+            disabled(2)
+        }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            ""
+        ::= { snmpV3Trap 18 }
+-- end CAMEO_ICMPv6_RA_FILTER
+
+    snmpV3TrapLoginout    OBJECT-TYPE
+        SYNTAX INTEGER {
+            enabled(1),
+            disabled(2)
+        }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            ""
+        ::= { snmpV3Trap 19 }
+
+    snmpV3TrapDULD    OBJECT-TYPE
+        SYNTAX INTEGER {
+            enabled(1),
+            disabled(2)
+        }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            ""
+        ::= { snmpV3Trap 20 }
+
+
+    snmpV3CommunityEncryption OBJECT-TYPE
+        SYNTAX INTEGER {
+            enabled(1),
+            disabled(2)
+        }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            "This object is for enabling or disabling community encryption."
+         ::=  { companySNMPV3  9 }
+
+      	traps            OBJECT IDENTIFIER ::= { companyTraps 0 }
+			snmpTrapSNMPAuthentication NOTIFICATION-TYPE				
+              	STATUS  current
+              	DESCRIPTION
+					"SnmpV3TrapSNMPAuthentication."
+              	::= { traps 1 }              
+			snmpTrapColdStart NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+					"SnmpV3TrapColdStart."
+              	::= { traps 2 }
+              	
+			snmpTrapWarmStart NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+					"SnmpV3TrapWarmStart."
+              	::= { traps 3 }
+			snmpTrapCopperLinkUpDown NOTIFICATION-TYPE				
+              	STATUS  current
+              	DESCRIPTION
+                      "SnmpV3TrapCopperLinkUpDown."
+				::= { traps 4 }
+			snmpTrapRSTPStateChange NOTIFICATION-TYPE              	
+              	STATUS  obsolete
+              	DESCRIPTION
+                      "SnmpV3TrapRSTPStateChange."
+              ::= { traps 5 }              
+			snmpTrapFirmUpgrade NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "SnmpV3TrapFirmUpgrade."
+              	::= { traps 6 }
+			snmpTrapBPDUAttack NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "                      	
+						SnmpV3TrapBPDUAttack notification. The notification is issued
+                         when the for port for folloowing status:
+                         
+                         1. BPDU Attacked on port
+                         2. BPDU Attacke Cleared on port
+                         3. BPDU Attacke Recovered on port
+					  "                      
+              ::= { traps 11 }              
+			snmpTrapPortSecurityViolationMac NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "This object indicates the MAC address that violates the port security configuration."
+              ::= { traps 12 }
+			snmpTrapIMPBv2 NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "SnmpV3TrapIMPBv2."
+              	::= { traps 13 }              	
+			snmpTrapLBD NOTIFICATION-TYPE              
+              STATUS  current
+              DESCRIPTION
+                      "SnmpV3TrapLBD."
+              ::= { traps 14 }              
+			snmpTrapDHCPScreen NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "SnmpV3TrapDHCPScreen."
+              	::= { traps 15 }              	
+			snmpTrapGratuitousArp NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "SnmpV3TrapGratuitousArp."
+              	::= { traps 16 }              	
+			macNotificatiotn NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" This trap indicates the MAC address variations in the address table . "
+               	::= { traps 17 }
+			duplicateIP NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" duplicateIP . "
+               	::= { traps 21 }
+			trafficControl NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" trafficControl. "
+               	::= { traps 22 }
+            topologyChange NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" topologyChange. "
+               	::= { traps 23 }   	
+			
+			newRootBrgaddress NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" newRootBrgaddress. "
+               	::= { traps 24 }
+			newRootOlddesignatedroot NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" newRootOlddesignatedroot. "
+               	::= { traps 25 }
+			newRootMSTibridgeregionalroot NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+ 					" topologyChange. "
+               	::= { traps 26 }
+-- start CAMEO_DHCPv6_SERVER_SCREEN_TRAP			
+			snmpTrapDHCPv6Screen NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "SnmpV3TrapDHCPv6Screen."
+              	::= { traps 27 }              	
+-- start CAMEO_ICMPv6_RA_ALL_NODE_FILTER_TRAP			
+			snmpTrapICMPv6RaAllNodeFilter NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "snmpTrapICMPv6RaAllNodeFilter."
+              	::= { traps 28 }              	
+-- end CAMEO_ICMPv6_RA_ALL_NODE_FILTER_TRAP                   	
+-- start CAMEO_DYING_GASP			
+			snmpTrapDyingGasp NOTIFICATION-TYPE              	
+              	STATUS  current
+              	DESCRIPTION
+                      "snmpTrapDyingGasp."
+              	::= { traps 29 }              	
+-- end CAMEO_DYING_GASP
+			snmpTrapWebLoginout NOTIFICATION-TYPE            
+              	STATUS  current
+              	DESCRIPTION
+                      "snmpTrapWebLoginout."
+              	::= { traps 30 }
+			snmpTrapLoginout NOTIFICATION-TYPE            
+              	STATUS  current
+              	DESCRIPTION
+                      "snmpTrapLoginout."
+              	::= { traps 31 }                
+            snmpTrapDULD NOTIFICATION-TYPE
+                STATUS  current
+                DESCRIPTION
+                    "snmpTrapDULD."
+                ::= { traps 33 }
+            snmpTrapDOSPrevent NOTIFICATION-TYPE
+                STATUS  current
+                DESCRIPTION
+                    "snmpTrapDOSPrevent."
+                ::= { traps 35 }
+-- end Dos_TRAP
+            snmpTrapAutoCableDiag NOTIFICATION-TYPE
+                STATUS  current
+                DESCRIPTION
+                    "snmpTrapAutoCableDiag."
+                ::= { traps 36 }
+            snmpDyingGaspReceive NOTIFICATION-TYPE
+                STATUS  current
+                DESCRIPTION
+                    "snmpDyingGaspReceive."
+                ::= { traps 37 }
+
  
     -- ------------------------------------------------------------------ 
     -- companySyslog
@@ -9382,8 +14992,123 @@
     -- ------------------------------------------------------------------
     -- smtpRecvMailAddrTable
     -- ------------------------------------------------------------------
-            syslogServerGroup          OBJECT IDENTIFIER ::= { companySyslog 2 }
+            ipv4syslogServerGroup          OBJECT IDENTIFIER ::= { companySyslog 2 }
             
+    ipv4syslogServTable  OBJECT-TYPE
+        SYNTAX     SEQUENCE OF Ipv4SyslogServEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+           "The table of syslog remote server."
+        ::= { ipv4syslogServerGroup 1 }
+
+    ipv4syslogServEntry OBJECT-TYPE
+        SYNTAX     Ipv4SyslogServEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+              "The list of syslog remote server entry."
+
+        INDEX { ipv4syslogServIndex }
+        ::= { ipv4syslogServTable 1 }
+
+    Ipv4SyslogServEntry  ::= 
+            SEQUENCE {
+              ipv4syslogServIndex          INTEGER,
+              ipv4syslogServAddr           IpAddress,
+              ipv4syslogServSeverity       INTEGER,
+              ipv4syslogServFacility       INTEGER,
+              ipv4syslogServUDPport        INTEGER,
+              ipv4syslogServSrvStatus      INTEGER,
+              ipv4syslogServSrvRowStatus   RowStatus
+              }
+
+    ipv4syslogServIndex OBJECT-TYPE
+       SYNTAX       INTEGER (1..4)
+       MAX-ACCESS   read-only
+       STATUS       current
+       DESCRIPTION
+         "The index of syslog remote server." 
+        ::= { ipv4syslogServEntry  1 }
+
+    ipv4syslogServAddr  OBJECT-TYPE
+        SYNTAX      IpAddress
+        MAX-ACCESS  read-create
+        STATUS      current
+        DESCRIPTION
+              "The IP Address of syslog remote server."
+        ::= { ipv4syslogServEntry  2 }
+
+    ipv4syslogServSeverity OBJECT-TYPE 
+        SYNTAX       INTEGER{
+                      warning(4),   -- For logging warning messages.
+                      information(6),      -- For logging informational messages.
+                      all(7)      -- For logging debug messages.
+                    }
+        MAX-ACCESS  read-create 
+        STATUS      current 
+        DESCRIPTION 
+           "Specifies the log level option to be set for a specific server."
+ 
+        ::= { ipv4syslogServEntry 3 }
+
+
+
+    ipv4syslogServFacility OBJECT-TYPE 
+       SYNTAX         INTEGER {
+                   local0(128),     -- Reserved local use
+                   local1(136),     -- Reserved local use
+                   local2(144),     -- Reserved local use
+                   local3(152),     -- Reserved local use
+                   local4(160),     -- Reserved local use
+                   local5(168),     -- Reserved local use
+                   local6(176),     -- Reserved local use
+                   local7(184)      -- Reserved local use
+                  }
+       MAX-ACCESS  read-create 
+       STATUS      current 
+       DESCRIPTION 
+         "The Syslog standard facilities.
+          The facility to be used when sending Syslog messages to this server."
+
+       DEFVAL  { local0 } 
+       ::= { ipv4syslogServEntry 4 }
+
+    ipv4syslogServUDPport OBJECT-TYPE
+       SYNTAX  INTEGER (514 | 6000..65535)
+       MAX-ACCESS  read-create
+       STATUS  current
+       DESCRIPTION
+          "The value is for setting UDP Port."
+       ::= { ipv4syslogServEntry 5 }
+
+    ipv4syslogServSrvStatus OBJECT-TYPE 
+        SYNTAX       INTEGER {
+                disabled(0),
+                enabled(1)
+               }
+        MAX-ACCESS  read-create 
+        STATUS      current 
+        DESCRIPTION 
+           "The status for this server. If enable, system will send message to 
+           this server."
+ 
+        ::= { ipv4syslogServEntry 6 }
+
+
+    ipv4syslogServSrvRowStatus OBJECT-TYPE
+       SYNTAX RowStatus
+       MAX-ACCESS read-write
+       STATUS current
+       DESCRIPTION
+         "Row status of this server entry."
+       ::= { ipv4syslogServEntry 7 }    
+
+    -- ------------------------------------------------------------------
+    -- syslogServTable
+    -- ------------------------------------------------------------------
+            syslogServerGroup          OBJECT IDENTIFIER ::= { companySyslog 3 }
+
     syslogServTable  OBJECT-TYPE
         SYNTAX     SEQUENCE OF SyslogServEntry 
         MAX-ACCESS not-accessible
@@ -9405,7 +15130,9 @@
     SyslogServEntry  ::= 
             SEQUENCE {
               syslogServIndex          INTEGER,
-              syslogServAddr           IpAddress,
+              syslogServAddrType       INTEGER,
+              syslogServAddr           Ipv6Address,
+              syslogServInterfaceName  OCTET STRING,
               syslogServSeverity       INTEGER,
               syslogServFacility       INTEGER,
               syslogServUDPport        INTEGER,
@@ -9421,13 +15148,32 @@
          "The index of syslog remote server." 
         ::= { syslogServEntry  1 }
 
-    syslogServAddr  OBJECT-TYPE
-        SYNTAX      IpAddress
-        MAX-ACCESS  read-write
+    syslogServAddrType    OBJECT-TYPE
+        SYNTAX              INTEGER {
+                                 ipv4(1),
+                                 ipv6(2)
+                              }
+        MAX-ACCESS             read-create
+        STATUS                 current
+        DESCRIPTION
+           "Specifies the Address type of server.Address type shall be ipv4 or ipv6."
+        ::= { syslogServEntry 2 }
+
+     syslogServAddr         OBJECT-TYPE
+         SYNTAX                 Ipv6Address
+         MAX-ACCESS             read-create
+         STATUS                 current
+         DESCRIPTION
+            "Specifies the ServerIP to which the syslog shall be forwarded."
+         ::= { syslogServEntry 3 }
+
+    syslogServInterfaceName   OBJECT-TYPE
+        SYNTAX      OCTET STRING
+        MAX-ACCESS  read-create
         STATUS      current
         DESCRIPTION
-              "The IP Address of syslog remote server."
-        ::= { syslogServEntry  2 }
+            "Specifies the interface name when the syslogServInterfaceName is linklocal address."
+            ::= { syslogServEntry 4 } 
 
     syslogServSeverity OBJECT-TYPE 
         SYNTAX       INTEGER{
@@ -9435,12 +15181,12 @@
                       information(6),      -- For logging informational messages.
                       all(7)      -- For logging debug messages.
                     }
-        MAX-ACCESS  read-write 
+        MAX-ACCESS  read-create 
         STATUS      current 
         DESCRIPTION 
            "Specifies the log level option to be set for a specific server."
  
-        ::= { syslogServEntry 3 }
+        ::= { syslogServEntry 5 }
 
 
 
@@ -9455,7 +15201,7 @@
                    local6(176),     -- Reserved local use
                    local7(184)      -- Reserved local use
                   }
-       MAX-ACCESS  read-write 
+       MAX-ACCESS  read-create 
        STATUS      current 
        DESCRIPTION 
          "The Syslog standard facilities.
@@ -9462,15 +15208,15 @@
           The facility to be used when sending Syslog messages to this server."
 
        DEFVAL  { local0 } 
-       ::= { syslogServEntry 4 }
+       ::= { syslogServEntry 6 }
 
     syslogServUDPport OBJECT-TYPE
        SYNTAX  INTEGER (514 | 6000..65535)
-       MAX-ACCESS  read-write
+       MAX-ACCESS  read-create
        STATUS  current
        DESCRIPTION
           "The value is for setting UDP Port."
-       ::= { syslogServEntry 5 }
+       ::= { syslogServEntry 7 }
 
     syslogServSrvStatus OBJECT-TYPE 
         SYNTAX       INTEGER {
@@ -9483,7 +15229,7 @@
            "The status for this server. If enable, system will send message to 
            this server."
  
-        ::= { syslogServEntry 6 }
+        ::= { syslogServEntry 8 }
 
 
     syslogServSrvRowStatus OBJECT-TYPE
@@ -9492,8 +15238,65 @@
        STATUS current
        DESCRIPTION
          "Row status of this server entry."
-       ::= { syslogServEntry 7 }    
+       ::= { syslogServEntry 9 }   
 
+
+    -- ------------------------------------------------------------------ 
+    -- syslogModuleLogTable
+    -- ------------------------------------------------------------------
+        syslogModuleLogGroup          OBJECT IDENTIFIER ::= { companySyslog 4 }
+
+    syslogModuleLogTable  OBJECT-TYPE
+        SYNTAX  SEQUENCE OF SyslogModuleLogEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "A table that holds the module log state setting."
+
+        ::= { syslogModuleLogGroup 1 }
+
+    syslogModuleLogEntry OBJECT-TYPE
+        SYNTAX  SyslogModuleLogEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "A list of module log state settings of the device."
+        INDEX   { syslogModuleLogType }
+
+        ::= { syslogModuleLogTable 1 }
+
+    SyslogModuleLogEntry ::= 
+        SEQUENCE {
+			syslogModuleLogType
+				INTEGER,
+			syslogModuleLogState
+				INTEGER
+        }
+
+    syslogModuleLogType OBJECT-TYPE
+    	SYNTAX INTEGER {
+			igmp(1),
+			 stp(2),
+			impb(3)
+   	    	}
+        MAX-ACCESS  read-only
+        STATUS current
+        DESCRIPTION
+            "This object indicates the module log type."
+
+        ::= { syslogModuleLogEntry 1 }
+
+    syslogModuleLogState OBJECT-TYPE
+       SYNTAX INTEGER {
+                disabled(0),
+                enabled(1)
+               }
+       MAX-ACCESS  read-write 
+       STATUS      current 
+       DESCRIPTION 
+          "This object is for enabling or disabling module log state."
+
+       ::= { syslogModuleLogEntry 2 }
   
 -- LBD Group ------------------------------------------------------    
     sysLBDStateEnable OBJECT-TYPE 
@@ -9585,12 +15388,13 @@
           }
         
         sysLBDCtrlIndex OBJECT-TYPE 
-           SYNTAX      Integer32 
+           SYNTAX      Integer32 (1..28)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
               "The interface index of the port for which the configuration
-              in this entry applies."
+              in this entry applies.
+              For all machines give maximum port number."
            ::= { sysLBDCtrlEntry 1 }
             
         sysLBDPortStatus OBJECT-TYPE 
@@ -9609,7 +15413,7 @@
         sysLBDPortLoopStatus OBJECT-TYPE 
            SYNTAX      INTEGER {
                        normal(1),
-                       disabled(2)
+                       loop(2)
                       }
            MAX-ACCESS  read-only 
            STATUS      current 
@@ -9647,7 +15451,7 @@
           }
         
         sysLBDVlanLoopIndex OBJECT-TYPE 
-           SYNTAX      Integer32 
+           SYNTAX      Integer32 (1..4094)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
@@ -9863,10 +15667,10 @@
       -- ------------------------------------------------------------------
 
 
-sysSNTPTimeSeconds  OBJECT-TYPE
+ipv4sysSNTPTimeSeconds  OBJECT-TYPE
    SYNTAX      Integer32
    MAX-ACCESS  read-write
-   STATUS      current
+   STATUS      obsolete
    DESCRIPTION
        "This object is for setting the system time in seconds 
         from  Epoch (00:00:00 UTC, January 1, 2009). Notice : 
@@ -9875,37 +15679,37 @@
         UTC, December 31, 2037)."
    ::= { companySNTPSetting 1 }
    
-sysSNTPFirstServer  OBJECT-TYPE
+ipv4sysSNTPFirstServer  OBJECT-TYPE
    SYNTAX      IpAddress
    MAX-ACCESS  read-write
-   STATUS      current
+   STATUS      obsolete
    DESCRIPTION
        "SNTP First Server's IP Address"
    ::= { companySNTPSetting 2 }
    
-sysSNTPSecondServer  OBJECT-TYPE
+ipv4sysSNTPSecondServer  OBJECT-TYPE
    SYNTAX      IpAddress
    MAX-ACCESS  read-write
-   STATUS      current
+   STATUS      obsolete
    DESCRIPTION
        "SNTP Second Server's IP Address"
    ::= { companySNTPSetting 3 }
    
-sysSNTPPollInterval  OBJECT-TYPE
+ipv4sysSNTPPollInterval  OBJECT-TYPE
    SYNTAX      Integer32
    MAX-ACCESS  read-write
-   STATUS      current
+   STATUS      obsolete
    DESCRIPTION
        "SNTP Poll Interval In Seconds  (30-99999) "
    ::= { companySNTPSetting 4 }
 
-sysSNTPState  OBJECT-TYPE
+ipv4sysSNTPState  OBJECT-TYPE
    SYNTAX       INTEGER {
                 sntp(1),
                 local(2)
                }
    MAX-ACCESS  read-write
-   STATUS      current
+   STATUS      obsolete
    DESCRIPTION
       "Enable/Disable SNTP function in the system."
    ::= { companySNTPSetting 5 }
@@ -9913,7 +15717,7 @@
 -- SNTP TimeZonesetting
 
 
-sysSNTPDSTOffset  OBJECT-TYPE
+ipv4sysSNTPDSTOffset  OBJECT-TYPE
    SYNTAX       INTEGER  {
                 offset30min (30),
                 offset60min (60),
